Highlighted
Contributor
Contributor

NSX-T Edge nodes upgrade from 2.5.2 to 2.5.2.1 failed

Hi Team,

We had a requirement to upgrade NSX-T from 2.5.2.0 to 2.5.2.1, after upgrade coordinator upgrade, NSX-T Edge nodes upgrade is failing. When looked at upgrade coordinator log, we notice the error as below,

"component_type" : "EDGE",

    "resource_type" : "AcceptableComponentVersion",
    "id" : "EDGE",
    "display_name" : "EDGE",
    "acceptable_versions" : [ "2.5.2.0.0.16615910" ],
    "_create_user" : "UC",
    "_create_time" : 1569522894693,
    "_last_modified_user" : "UC",
    "_last_modified_time" : 1602740207376,
    "_system_owned" : false,
    "_protection" : "NOT_PROTECTED",
    "_revision" : 52
  } ]
}
2020-10-15T05:51:02.201Z  INFO http-nio-127.0.0.1-7442-exec-4 ApplianceQueryServiceImpl - SYSTEM [nsx@6876 comp="nsx-manager" level="INFO" subcomp="upgrade-coordinator"]  Setting version whitelist to VERSION_UNKNOWN 2.5.2.1.0.16784103

Does that indicate, upgrade is not supported? Please suggest.

Best regards,

Chethan

0 Kudos
0 Replies